From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Subject: [PATCH] fixup! chat.tmux.conf: Make window selection hotkeys match window numbers
Date: Thu,  8 Jul 2021 22:42:17 +0000
Message-Id: <20210708224217.63372-1-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

"base-index" expects integer values, tmux prints a warning at load-time
but otherwise ignores the configuration line.
---
 scripts/chat.tmux.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/chat.tmux.conf b/scripts/chat.tmux.conf
index 4be7faa..3489a19 100644
--- a/scripts/chat.tmux.conf
+++ b/scripts/chat.tmux.conf
@@ -21,7 +21,7 @@ set-option -g	-- allow-rename	off
 set-option -g	-- set-titles	off
 set-option -g	-- renumber-windows	on
 # for the F1 binding, make hotkeys match window numbers
-set-option -g	-- base-index	on
+set-option -g	-- base-index	1
 
 
 # clients exit on network errors, restart them automatically
-- 
2.32.0


From mboxrd@z Thu Jan  1 00:00:00 1970
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.7\))
Subject: Re: [PATCH] fixup! chat.tmux.conf: Make window selection hotkeys
 match window numbers
From: june <june@causal.agency>
In-Reply-To: <20210708224217.63372-1-klemens@posteo.de>
Date: Tue, 20 Jul 2021 14:07:40 -0400
Cc: list+catgirl@causal.agency
Content-Transfer-Encoding: 7bit
Message-Id: <E8B3EE0E-7EAD-4D8F-AE0A-99B712D73453@causal.agency>
References: <20210708224217.63372-1-klemens@posteo.de>
To: Klemens Nanni <klemens@posteo.de>

Applied.


